%define anolis_release 2

%bcond_without perl_Locale_Maketext_enables_optional_test

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(I18N::LangTags\\)$

Name:           perl-Locale-Maketext
Version:        1.32
Release:        %{anolis_release}%{?dist}
Summary:        Framework for localization
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Locale-Maketext
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Locale-Maketext-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  findutils make perl-interpreter perl-generators
BuildRequires:  perl(Carp) perl(integer) perl(vars) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  perl(I18N::LangTags) >= 0.31 perl(I18N::LangTags::Detect)
# Tests:
BuildRequires:  perl(parent) perl(Scalar::Util) perl(Test::More) perl(utf8)

%if %{with perl_Locale_Maketext_enables_optional_test} && !%{defined perl_bootstrap}
BuildRequires:  perl(Test::Pod) >= 1.14
%endif

Requires:       perl(I18N::LangTags) >= 0.31 perl(warnings)

%description
perl-Locale-Maketext is a Perl module that provides a framework for localization and internationalization of 
Perl applications. It provides a way to create localized messages in Perl programs. The module provides a 
way to create localized messages in Perl programs. It is built on top of the Locale::Maketext::Lexicon module 
that implements an interface to gettext. The Locale::Maketext module provides a way to localize messages using 
a simple key-value pair system. The module also provides support for plural forms and context-sensitive translations .

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Locale-Maketext-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README ChangeLog

%changelog
* Thu Apr 13 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.32-2
- Optimize the spec file

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.32-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.32

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.30-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1.30-1
- Initial build for Anolis V23
